Popup activation causes internal server error

This is actually for the Popups plugin, but I can't select with your UI because it isn't active on the website; this is actually the issue.

Every time I try to activate it, it causes and internal server error.

This has occurred ever since the first pass addition of the Wordpress cache compatibility. We'd really like to use the plugin, is there any way this can be fixed?

Thank you